Please help me upgrade from 7.1.2 to 7.2.1 family subscription

Options
Nekoninda
Nekoninda
Community Member
edited October 2018 in Mac

I upgraded from 1Password 6 standalone family license to a paid version 7 family subscription a month ago, and I have received via email the paid invoice for my first year. Installed on my Mac is 1Password 7.1.2. When I ask it to check for updates, it says that I am up to date and running the latest version. Yet I find reference to version 7.2.1 on many web pages. I also find "1Password 7 for Mac requires macOS Sierra (10.12) or later." I'm running 10.12.6 Sierra with all of its updates. I'm running Safari 12.0.

How do I upgrade to 1Password 7.2.1?

My 1Password extension for Safari appears in Safari Preferences, and identifies itself as 1Password 4.7.3. While I tried to follow all the instructions for upgrading to version 7, I suspect that I failed to do something that is needed. Please help me get to the newest version of 1Password 7 and the correct extension, or whatever is the appropriate term, for Safari 12 under Sierra.


1Password Version: 7.1.2
Extension Version: 4.7.3
OS Version: 10.12.6
Sync Type: your site, I think

Comments

  • Ben
    Ben
    edited October 2018
    Options

    Hi @Nekoninda

    We’re rolling out post-7.1 updates to non-Mojave macOS installations slowly. If you want it now you can download it here:

    Download for Mac, Windows, iOS, Android, Chrome, Linux | 1Password

    Our recommendation would be to keep up to date with your version of macOS to be sure you can also benefit from the latest updates to 1Password and your web browser(s). Keeping all of those things up to date are important. :+1:

    Ben

  • Ben
    Options

    Are there changes, fixes, or backward compatibility modifications, that you are going to be making to 1Password, before you roll it out for Sierra and High Sierra users?

    None that I’m aware of. The primary concern, and primary reason for the slow rollout, was we wanted to give folks time to upgrade to Safari 12. If you’re already running Safari 12 you should be fine.

    Thanks for clarifying, Ben. I would be pleased to keep up to date with the versions of macOS, if they were better.

    As with any time anything changes I understand there are some challenges, but the recommendation stands. As a security focused company we really can’t in good conscious recommend otherwise.

    Is there any risk or problem using the link that you provided to update my 1Password?

    There are always risks and that is why backups (should) exist. :) But no, I don’t expect you’d have any problem. 1Password 7 requires macOS Sierra 10.12.6 or later.

    Ben

This discussion has been closed.